## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.udteditor.action
Class ASAUserDefinedTypeDoubleClickActionProvider

    java.lang.Object
      org.eclipse.ui.actions.ActionGroup
          org.eclipse.ui.navigator.CommonActionProvider
              org.eclipse.datatools.sqltools.routineeditor.ui.actions.DoubleClickActionProvider
                  org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.udteditor.action.ASAUserDefinedTypeDoubleClickActionProvider

All Implemented Interfaces:
  org.eclipse.ui.navigator.IMementoAware

    public class ASAUserDefinedTypeDoubleClickActionProvider

extends DoubleClickActionProvider

Author:
  renj

Constructor Summary
`ASAUserDefinedTypeDoubleClickActionProvider()`

Method Summary
`void` `fillActionBars(org.eclipse.ui.IActionBars actionBars)`

Methods inherited from class org.eclipse.datatools.sqltools.routineeditor.ui.actions.DoubleClickActionProvider
`init`

Methods inherited from class org.eclipse.ui.navigator.CommonActionProvider
`restoreState, saveState`

Methods inherited from class org.eclipse.ui.actions.ActionGroup
`dispose, fillContextMenu, getContext, setContext, updateActionBars`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASAUserDefinedTypeDoubleClickActionProvider

    public ASAUserDefinedTypeDoubleClickActionProvider()

Method Detail

### fillActionBars

    public void fillActionBars(org.eclipse.ui.IActionBars actionBars)

  Overrides:
    `fillActionBars` in class `DoubleClickActionProvider`